#ifndef AUDIOINFO_H_INCLUDED
#define AUDIOINFO_H_INCLUDED

/**************************************************************************************************
 *                                                                                                  
 *  FILE        :AudioInfo.h                                                                   
 *  DATE        :Mon, Jul 30, 2007                                                                  
 *  DESCRIPTION :Defines variables needed for audio playback                    
 *  
 *
 *  Copyright:   2007 Renesas Technology Corporation.
 *               All Rights Reserved
 *************************************************************************************************/

#include "sfr26a.h"
#include "HTSdemoDEF.h"

/* Timer B1 Interrupt */
#pragma INTERRUPT AudioSample(vect=27)

#define TIMER_IPL 4                         /* standard IPL of sample timer */
#define TIMER_INT_REG           tb1ic       /* register to write irq level to */
#define AUDIO_PWM_SIZE          16          /* PWM uses 8 bits */
#define AUDIO_PWM_SILENCE       0x8000      /* 50% duty cycle */
#define AUDIO_PWM_CH_1          (int *)&ta2
#define AUDIO_PWM_CH_2          (int *)&ta3
#define SW1                     S1

#define M16C_MCU                1
#define AUDIO_MCU_TYPE          M16C_MCU
#endif /* AUDIOINFO_H_INCLUDED */
